/*********************************************************** C++ HEADER *****
 *
 *               (C) Copyright JBA International Plc - 1993
 *               Licensed Material - Program Property of JBA.
 *      Not to be used for other than licensed and/or agreed purposes.
 *-------------------------------------------------------------------------
 *
 * Project:         GUIDELINES
 *
 * Component:       Tech Support
 *
 * Module:          DirList.CPP
 *
 * Original Author: Jon Wright
 *
 * Description:     This file contains an object which reads in a list
 *                  of the files from a directory. This list may
 *                  then be accessed by a JOT program. It is a trivial
 *                  program to demonstrate how to interface to external 
 *                  C++ code from within Guidelines
 *
 * Environment:     OS/2 V2.1 - IBM CSet++
 *
 * Modification history:
 *
 *  24nov93 : Initial release                                            jw
 *
 *  $Log$
 *
 ***************************************************************************/

#define INCL_BASE
#define INCL_NOPM
#include <os2.h>            // Needed by guirun.h

#include "guirun.h"         // Use Guidelines String class

const int LISTLEN = 100;    // First LISTLEN files in directory are logged

class DirList
    {
private:
    String *ptrList[LISTLEN];
    short   count;

public:
    DirList();
    DirList(char *DirName);
    ~DirList();

    short   RefreshList(char *DirName); // Rebuild list
    short   GetCount() {return count;}  // Get number of filemanes
    String *ReadItem(int Index);        // Get specific filename
    };
